i2o_scsi_reply
Prev | I2O message devices | Next

## Name

i2o_scsi_reply — SCSI OSM message reply handler

## Synopsis

`int i2o_scsi_reply (` | struct i2o_controller * | c,
| u32 | m,
| struct i2o_message * | msg`)`;

## Arguments

`c`

  controller issuing the reply

`m`

  message id for flushing

`msg`

  the message from the controller

## Description

Process reply messages (interrupts in normal scsi controller think). We can get a variety of messages to process. The normal path is scsi command completions. We must also deal with IOP failures, the reply to a bus reset and the reply to a LUN query.

Returns 0 on success and if the reply should not be flushed or > 0 on success and if the reply should be flushed. Returns negative error code on failure and if the reply should be flushed.

Prev | Up | Next
i2o_scsi_probe | Home | i2o_scsi_notify_device_add